package com.goafanti.admin.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.utils.excel.Excel;

import java.util.Date;

public class AdminPublicDuration {

    private String id;
    @Excel(name = "姓名")
    private String name;
    @Excel(name = "时长")
    private Double duration;
    @Excel(name = "日期", dateFormat = AFTConstants.YYYYMMDD)
    private Date date;

    private Integer workingHours;

    private Double conversion;
    private Integer countNumber;

    private double days;

    public Double getConversion() {
        return conversion;
    }

    public void setConversion(Double conversion) {
        this.conversion = conversion;
    }

    public Integer getWorkingHours() {
        return workingHours;
    }

    public void setWorkingHours(Integer workingHours) {
        this.workingHours = workingHours;
    }

    public Integer getCountNumber() {
        return countNumber;
    }

    public void setCountNumber(Integer countNumber) {
        this.countNumber = countNumber;
    }

    public double getDays() {
        return days;
    }

    public void setDays(double days) {
        this.days = days;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AdminPublicDuration(String id, String name, Double duration) {
        this.id = id;
        this.name = name;
        this.duration = duration;
        this.countNumber = 1;
    }

    public AdminPublicDuration() {
    }

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "AdminPublicDuration{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", duration=" + duration +
                ", date=" + date +
                '}';
    }
}
